<template lang="html">
  <div class="game-thumbnail">
    <div class="image-container">
      <div class="image" v-on:click="verifyGamePlayAccess()"></div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ep-game-thumbnail',
  props: {
    thumbnail: {
      type: String,
      default () {
        return ''
      }
    }
  },
  data () {
    return { }
  },
  mounted () {
    this.setThumbnail()
  },
  watch: {
    thumbnail () {
      this.setThumbnail()
    }
  },
  methods: {
    verifyGamePlayAccess () {
      this.$emit('verify-game-play-access')
    },
    setThumbnail () {
      this.$el.querySelector('.image').style.backgroundImage = `url('${this.thumbnail}')`
    }
  }
}
</script>

<style lang="scss" scoped>
@import '~assets/styles/theme';

$tabletWidth: 450px;
$tabletThumbnailWidth: 300px;
$tabletThumbnailHeight: 168px;

.game-thumbnail {
  position: relative;
  width: 100%;
  background-color: $text-color;
}

.image-container {
  padding-bottom: 56.25%;
  position: relative;
  width: 100%;

  .image {
    position: absolute;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    overflow: hidden;
    cursor: pointer;
  }
}

@media screen and (min-width: $tabletWidth) {
  .image-container {
    padding: 0;
    text-align: center;

    .image {
      position: relative;
      left: calc(50% - #{$tabletThumbnailWidth} / 2);
      height: $tabletThumbnailHeight;
      width: $tabletThumbnailWidth;
      border-right: 1px solid $dark-gray;
      border-left: 1px solid $dark-gray;
    }
  }
}
</style>
